Skip to main content
GET
/
offices
offices
curl --request GET \
  --url https://api.windermere.com/v1/api/offices \
  --header 'x-api-key: <api-key>'
{
  "page_number": 0,
  "total_pages": 0,
  "offices": [
    {
      "moxi_works_office_id": "string",
      "id": "string",
      "client_office_id": "string",
      "image_url": "string",
      "name": "string",
      "common_name": "string",
      "address": "string",
      "address2": {},
      "city": "string",
      "county": "string",
      "state": "string",
      "zip_code": "string",
      "alt_phone": "string",
      "email": "string",
      "facebook": {},
      "google_plus": {},
      "phone": "string",
      "timezone": "string",
      "twitter": {},
      "office_website": "string",
      "region": "string",
      "mailing_address": "string",
      "mailing_address2": "string",
      "mailing_city": "string",
      "mailing_zip": "string",
      "mailing_state": "string",
      "company_programs": [
        "string"
      ],
      "logo_url": "string"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

moxi_works_company_id
string
required

A valid MoxiWorks Company ID. Use Company Endpoint to determine what moxi_works_company_id you can use.

deactivated
boolean

To find offices deactivated within the specified timeframe, pass true for this boolean parameter.

page_number
integer

For queries with multi-page responses, use the page_number parameter to return data for specific pages. Data for page 1 is returned if this parameter is not included. Use this parameter if total_pages indicates that there is more than one page of data available.

deactivated_since
integer

any Office objects deactivated after this Unix timestamp will be returned in the response. If no deactivated_since parameter is included in the request, only Office objects deactivated in the last seven days will be returned.

parent_company_id
string

This is the numeric_id or moxi_works_company_id of a company that is considered to be a parent company in the MoxiWorks Platform. This request attribute has two functions:

  1. It provides for a broad scope by which partners may be afforded permissions to perform MoxiWorks Platform actions, in scenarios where a partner does business with a parent company in the MoxiWorks System.
  2. It provides broad scope under which agents may be looked up using the source_agent_id request attribute in many scenarios across different MoxiWorks Platform endpoints and actions.

Please note that this attribute cannot be used as a replacement for the moxi_works_company_id request attribute in scenarios where the moxi_works_company_id request attribute is required by the action.

Please note that this attribute cannot be used to broaden scope of any request where the scope of the request is defined by the moxi_works_company_id request attribute.

Please note that when passed in conjunction with the moxi_works_company_id request attribute, the value of moxi_works_company_id request attribute must be the numeric id form.

Any use of this request attribute must be coordinated with MoxiWorks Platform Partner services. Please reach out to partner services for more information.

timestamps_only
boolean

If supplied then the results will exclude all data except primary identifiers and a unix timestamp (last_updated) & iso8601 timestamp (modification_timestamp) of the last time this record was updated.

Response

200 - application/json
page_number
integer
total_pages
integer
offices
object[]